<?php
/**
 * Active callback functions.
 *
 * @package Prime Beauty Salon
 */

function prime_beauty_salon_featured_slider_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[prime_beauty_salon_enable_featured_slider_section]' )->value() == true ) {
        return true;
    }else{
        return false;
    }
}

function prime_beauty_salon_featured_slider_page( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[prime_beauty_salon_featured_slider_content_type]' )->value();
    return ( prime_beauty_salon_featured_slider_active( $control ) && ( 'featured_slider_page' == $content_type ) );
}

function prime_beauty_salon_featured_slider_post( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[prime_beauty_salon_featured_slider_content_type]' )->value();
    return ( prime_beauty_salon_featured_slider_active( $control ) && ( 'featured_slider_post' == $content_type ) );
}

function prime_beauty_salon_social_links_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[prime_beauty_salon_show_header_social_links]' )->value() == true ) {
        return true;
    }else{
        return false;
    }
}

function prime_beauty_salon_featured_mission_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[prime_beauty_salon_enable_featured_mission_section]' )->value() == true ) {
        return true;
    }else{
        return false;
    }
}